2025-11-06 14.00 UTC - There are currently no active events. All systems operational.

Create new KeyDh Supply Interruption.

Prev Next
Post
/keydh-supply-interruption/

Operation creates KeyDh Supply Interruption from given fields. Available from version 2025.3.

Security
API Key: Token
Header parameter nameAuthorization

Token issued for API consumer.

Body parameters

KeyDH Supply Interruption to be created.

object

KeyDh Supply Interruption object. Flat version for patch and post methods.

actualEndDate
string (datetime)

Actual end date of supply interruption. Should not be before the actualStartDate.

actualStartDate
string (datetime)

Actual start date of supply interruption. Should not be after the actualEndDate.

description
string

Description of supply interruption

estEndDate
string (datetime)

Estimated end date of supply interruption. Should not be before the estStartDate.

estStartDate
string (datetime)

Estimated start date of supply interruption. Should not be after the estEndDate.

fillingAmount
number (double)

Filling amount of supply interruption

identification
string

Supply interruption identification

inCharge
string

In charge of supply interruption. Must be a valid contact person. Can be name or phone or combination of both. Found valid contact person is automatically linked to supply interruption. Can also be a contact person ID.

ExampleJohn Doe 123456789
location
string (EWKT)

Location of supply interruption

newEndDate
string (datetime)

New end date of supply interruption. Should not be before the newStartDate.

newStartDate
string (datetime)

New start date of supply interruption. Should not be after the newEndDate.

planner
string

Planner of supply interruption. Must be a valid contact person. Can be name or phone or combination of both. Found valid contact person is automatically linked to supply interruption. Can also be a contact person ID.

ExampleJohn Doe 123456789
Address
integer

Address ID for supply interruption

Plan
integer

Plan id for supply interruption

job
integer

Supply interruption job ID. ID must be a valid TxtConstant with group name INTERRUPTION_JOB

networkType
integer

Supply interruption network type ID. ID must be a valid TxtConstant with group name INTERRUPTION_NETTYPE.

state
integer

Supply interruption state ID. ID must be a valid TxtConstant with group name INTERRUPTION_STATE. NOT_VALID(num_value=0) state automatically added if no state is set. When updating, the following automatic change occurs:

  • if the state is VALID(num_value=1) or ENDED(num_value=4), the current state matches the previous state, and the actual end date is set, then the state automatically transitions to COMPLETE (num_value=2).
  • if the previous state is VALID or NOT_VALID, and new state is CANCELLED(num_value=3), then actual end date is removed.
type
integer

Supply interruption type ID. ID must be a valid TxtConstant with group name INTERRUPTION_TYPE

Responses
201

A newly created KeyDH Supply Interruption

null
null
null
null
"2025-07-31"
"2025-07-01"
null
32333
"Rest Supply Interruption"
"John Doe 123456789"
40481
null
40421
null
null
null
"John Doe 123456789"
40441
40501
object

KeyDh Supply Interruption object. Flat version for patch and post methods.

actualEndDate
string (datetime)

Actual end date of supply interruption. Should not be before the actualStartDate.

actualStartDate
string (datetime)

Actual start date of supply interruption. Should not be after the actualEndDate.

description
string

Description of supply interruption

estEndDate
string (datetime)

Estimated end date of supply interruption. Should not be before the estStartDate.

estStartDate
string (datetime)

Estimated start date of supply interruption. Should not be after the estEndDate.

fillingAmount
number (double)

Filling amount of supply interruption

id
integer

Primary key

identification
string

Supply interruption identification

inCharge
string

In charge of supply interruption. Must be a valid contact person. Can be name or phone or combination of both. Found valid contact person is automatically linked to supply interruption. Can also be a contact person ID.

ExampleJohn Doe 123456789
location
string (EWKT)

Location of supply interruption

newEndDate
string (datetime)

New end date of supply interruption. Should not be before the newStartDate.

newStartDate
string (datetime)

New start date of supply interruption. Should not be after the newEndDate.

planner
string

Planner of supply interruption. Must be a valid contact person. Can be name or phone or combination of both. Found valid contact person is automatically linked to supply interruption. Can also be a contact person ID.

ExampleJohn Doe 123456789
Address
integer

Address ID for supply interruption

Plan
integer

Plan id for supply interruption

job
integer

Supply interruption job ID. ID must be a valid TxtConstant with group name INTERRUPTION_JOB

networkType
integer

Supply interruption network type ID. ID must be a valid TxtConstant with group name INTERRUPTION_NETTYPE.

state
integer

Supply interruption state ID. ID must be a valid TxtConstant with group name INTERRUPTION_STATE. NOT_VALID(num_value=0) state automatically added if no state is set. When updating, the following automatic change occurs:

  • if the state is VALID(num_value=1) or ENDED(num_value=4), the current state matches the previous state, and the actual end date is set, then the state automatically transitions to COMPLETE (num_value=2).
  • if the previous state is VALID or NOT_VALID, and new state is CANCELLED(num_value=3), then actual end date is removed.
type
integer

Supply interruption type ID. ID must be a valid TxtConstant with group name INTERRUPTION_TYPE

400

There was an error in request. Usually field validation failed.

{
  "planner": [
    "Contact person does not exist."
  ],
  "type": [
    "This field is required."
  ]
}

Fields which failed validation

401

Authentication credentials are missing or invalid

{
  "details": "Authentication credentials were not provided"
}
object
details
string

Detailed description of error